    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.security.KeyPair

    java.lang.Object
       |
       +----java.security.KeyPair

public final class KeyPair
extends Object

This class is a simple holder for a key pair (a public key and a private key). It does not enforce any security, and, when initialized, should be treated like a PrivateKey.

See Also:
  PublicKey, PrivateKey

##

KeyPair(PublicKey, PrivateKey)
  Constructs a key with the specified public key and private key.

##

getPrivate()
  Returns the private key from this key pair.
getPublic()
  Returns the public key from this key pair.

##

KeyPair

     public KeyPair(PublicKey publicKey,
                    PrivateKey privateKey)

  Constructs a key with the specified public key and private key.

  Parameters:
    publicKey - the public key.
    privateKey - the private key.

##

getPublic

     public PublicKey getPublic()

  Returns the public key from this key pair.

  Returns:
    the public key.

getPrivate

     public PrivateKey getPrivate()

  Returns the private key from this key pair.

  Returns:
    the private key.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.